Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.compensation
Class DummyCompensationManager

    java.lang.Object
      org.jboss.txbridge.ba.compensation.DummyCompensationManager

All Implemented Interfaces:
  CompensationManager

    public class DummyCompensationManager

extends java.lang.Object
implements CompensationManager

This class represents a dummy compensation manager. Such dummy compensation manager is used if a Web Service is invoked outside the scope of the Business Activity. It provides same methods as a normal compensation manager but does not store any values and always returns null.

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Constructor Summary
`DummyCompensationManager()`

Method Summary
`java.lang.Object` | `get(java.lang.Object objectId)` This method does nothing - simply returns null.
`void` | `put(java.lang.Object objectId, java.lang.Object object)` This is a dummy method that...

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyCompensationManager

    public DummyCompensationManager()

Method Detail

### put

    public void put(java.lang.Object objectId,
                    java.lang.Object object)

  This is a dummy method that... does nothing.

  Specified by:
    `put` in interface `CompensationManager`
  Parameters:
    `objectId` - is the ID of the object.
    `object` - is the object itself.

### get

    public java.lang.Object get(java.lang.Object objectId)

  This method does nothing - simply returns null.

  Specified by:
    `get` in interface `CompensationManager`
  Parameters:
    `objectId` - is the object id.
  Returns:
    returns always null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD